SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:document-uri

fn:document-uri(node $srcval) → xs:anyURI?

Function signature

$srcval | node()
Result | xs:anyURI ?

Returns the URI of a document

XPath 2.0 Specification

Note:Implementation changed in Saxon 8.6 to conform to the spec. No longer returns a URI for temporary trees or other documents that can't be retrieved using the doc() function.

Next